[Pkg-utopia-maintainers] Bug#498916: avahi-daemon: use-ipv6=no doesn't stop use of ipv6

Daniel Dickinson cshore at fionavar.ca
Sun Sep 14 14:29:31 UTC 2008

Package: avahi-daemon
Version: 0.6.22-3
Severity: normal

I can't disable ipv6 because use-ipv6=no is insufficient to stop the daemon from using ipv6 (syslog shows registering ipv6 addresses and avahi-resolve --name name.local shows an ipv6 address.  This is a problem because I am trying to use avahi for a network that is separate by a non-ipv6 router (but can pass mDNS traffic).  The router can see both sides but they can't talk to each other using avahi.local names because they're trying to use ipv6.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages avahi-daemon depends on:
ii  adduser                3.110             add and remove users and groups
ii  bind9-host [host]      1:9.5.0.dfsg.P2-1 Version of 'host' bundled with BIN
ii  dbus                   1.2.1-3           simple interprocess messaging syst
ii  libavahi-common3       0.6.22-3          Avahi common library
ii  libavahi-core5         0.6.22-3          Avahi's embeddable mDNS/DNS-SD lib
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libcap1                1:1.10-14         support for getting/setting POSIX.
ii  libdaemon0             0.12-2            lightweight C library for daemons 
ii  libdbus-1-3            1.2.1-3           simple interprocess messaging syst
ii  libexpat1              2.0.1-4           XML parsing C library - runtime li
ii  lsb-base               3.2-20            Linux Standard Base 3.2 init scrip

Versions of packages avahi-daemon recommends:
ii  libnss-mdns                   0.10-3     NSS module for Multicast DNS name 

Versions of packages avahi-daemon suggests:
pn  avahi-autoipd                 <none>     (no description available)

-- no debconf information

More information about the Pkg-utopia-maintainers mailing list